%% EAPM : internal function
%

function PUN = eapm (RES, nodos, DIS, DIF);

%%%%%%%%%%%%%%%%%%%%%%           A =  meap([3 3],nodos);

[n,m] = size(RES);

if  (n>m), ni=n;
else       ni=m; end;

nf = 2;

%
%   DIS      factors x items
%
%
%  DIF   Puntos_items   x  items
%


  p = zeros (ni);
  L1 = zeros (10,10);
  L2 = zeros (10,10);
  deno =0;
  nume1=0;
  nume2=0;
  nume3=0;
  nume4=0;

  for l=1:10,
    for i=1:10,

      tmp =[];
      for j=1:ni,
          x = DIS(1,j)*nodos(l) + DIS(2,j)*nodos(i);
          if ((RES(j)-1) ~= 0),
             p1 = fop2 ( x , DIF(RES(j)-1,j));
          end;
          p2 = 0;
          if (DIF(RES(j)  ,j) ~= 0),
              p2 = fop2 ( x , DIF(RES(j),j));
          end;
          if ((RES(j)-1) == 0),
             p(j) = 1 - p2;
          else
             p(j) = p1 - p2;
          end;
          tmp = [tmp; p(j) nodos(l) nodos(i) ];
      end;
%      tmp
%      pause


      L1(l,i) = 1;
      for j=1:ni,
          L1(l,i) = L1(l,i) * p(j);
      end

      p     = L1(l,i)*nodos(l,2)*nodos(i,2);
      deno  = deno  + p;
      nume1 = nume1 + p*nodos(l,1);
      nume2 = nume2 + p*nodos(i,1);
      nume3 = nume3 + p*nodos(l,1)*nodos(l,1);
      nume4 = nume4 + p*nodos(i,1)*nodos(i,1);

   end;
  end;

%  mesh(L1);
%  pause;

  TH1 = nume1/ deno;
  TH2 = nume2/ deno;

  SE1 = sqrt(nume3/deno - (TH1*TH1) );
  SE2 = sqrt(nume4/deno - (TH2*TH2) );

  PUN =[TH1 TH2 (TH1 - 1.65*SE1) (TH1 + 1.65*SE1) (TH2 - 1.65*SE2) (TH2 + 1.65*SE2)];

return;
