%% NORMALBI : Owen aproximation to the bivariate integral
%

function C = normalbi (tha,thb,Ki,r);

Ka = Ki(1);
Kb = Ki(2);

C=zeros(Kb,Ka);

for j=1:Kb,
  for i=1:Ka,
%       ai = tha(i);
%       as = tha(i+1);
%       bi = thb(j);
%       bs = thb(j+1);
%       Ass = owen(as,bs,r);
     ai = -1*tha(i);
     as = -1*tha(i+1);
     bi = -1*thb(j);
     bs = -1*thb(j+1);
     Ass = bivnor(as, bs, r);
     Bsi = 0; Cis = 0; Dii = 0;
     if ((ai ~= -100) & (bi ~= -100)),
%          Bsi = owen(as,bi,r);
%          Cis = owen(ai,bs,r);
%          Dii = owen(ai,bi,r);
         Bsi = bivnor(as,bi,r);
         Cis = bivnor(ai,bs,r);
         Dii = bivnor(ai,bi,r);
     end;
     if ((ai ~= -100) & (bi == -100)),
%         Cis = owen(ai,bs,r);
%         Dii = owen(ai,bi,r);
         Cis = bivnor(ai,bs,r);
         Dii = bivnor(ai,bi,r);
     end;
     if ((ai == -100) & (bi ~= -100)),
%         Bsi = owen(as,bi,r);
%         Dii = owen(ai,bi,r);
         Bsi = bivnor(as,bi,r);
         Dii = bivnor(ai,bi,r);
     end;
     T = Ass - Bsi - Cis + Dii;
     C(Kb+1-j,i)=T;
  end;
end;

return;
