%% GENERGRAD : PROGRAM FOR GENERATING THE ANSWERS IN GRM-MULTIDIMENSIONAL
%
% ARGUMENTS   : LAM   -> FACTORIAL PATTERN
%               THRES -> MATRIX OF DIMENSION THRESHOLD: umbrales(4) x items
%               sige  -> RESIDUAL DEVIATIONS VECTOR
%               TH    -> FACTOR SCORESTH    
%
% RETURN VALUE: Y     -> Answers according to GRM
%

function [Y]= genergrad(LAM,THRES,sige,TH)

[n,k]=size(TH);
[m,nite]=size(THRES);
U=diag(sige);
E1=randn(n,nite);
X=(LAM*TH')+(U*E1');
X=X';
Y=discreB(X,THRES);

