%% pconmul : internal function
%
% ARGUMENTS   : t     -> theta vector
%               lam   -> lambda vector
%               thres -> item threshold
%               sige  -> residual standard deviation
%

function p = pconmul(t,lam,thres, sige);

     % d=thres/sige;
      nume= (lam*t)-thres;
      term=nume/sige;
      n = exp(1.702.*term);
      p = n ./ (1+n );

return;
